%define gst_majorminor 0.10
%define gstreamer    gstreamer

%define gst_minver   0.10.36

Name: gstreamer-plugins-vmetaxv
Version: 0.10.36.4
Release: 1%{?dist}
Summary: vMeta-enhanced Xv image sink for GStreamer
Group: Applications/Multimedia
License: GPLv2+
URL: http://wiki.laptop.org/go/Vmeta
Source0: gst-plugins-vmetaxv-%{version}.tar.gz

Requires: %{gstreamer} >= %{gst_minver}
BuildRequires: %{gstreamer}-devel >= %{gst_minver}
BuildRequires: gstreamer-plugins-base-devel
BuildRequires: libvmeta-devel
BuildRequires: libXv-devel

%description
This optimized xvideo plugin allows zero copies between the vmeta decoder and
the graphics driver.

%prep
%setup -q -n gst-plugins-vmetaxv-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/gstreamer-%{gst_majorminor}
install -m0755 libgstvmetaxvimagesink.so $RPM_BUILD_ROOT/%{_libdir}/gstreamer-%{gst_majorminor}

%files
%{_libdir}/gstreamer-%{gst_majorminor}/*.so


%changelog
